Bug 126680 - sem_wait man page has bug in RETURN VALUE section
Summary: sem_wait man page has bug in RETURN VALUE section
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-24 17:14 UTC by Corinna Vinschen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0408
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 18:51:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0408 normal SHIPPED_LIVE man-pages bug fix update 2007-06-07 19:20:53 UTC

Description Corinna Vinschen 2004-06-24 17:14:02 UTC
The sem_wait(3) man page states that sem_wait and sem_trywait
always return 0.  That's not correct.  The Opengroup man pages
allow -1 as return value with errno set.  This can happen on
RHEL 3 as well, e. g. when running an application under GDB
and pthread_create is called while another thread is waiting
in a sem_wait call.  In that case, sem_wait returns -1 and
errno set to EINTR.

Comment 1 Eido Inoue 2004-08-20 19:22:56 UTC
man page part of glibc-devel.

fyi, the posix version (man 3p), which is part of man-pages, has the
correct return value.

Comment 2 Ulrich Drepper 2004-09-30 08:38:33 UTC
The LinuxThreads implementation always returns 0 and this is what the
man page documents.

The NPTL implementation is different.  Just another reason why the man
page should move to man-pages, it must be independent.

Adrian, do you want to copy the pages, edit and distribute them?  This
need to be coordinated with Jakub stopping to distribute them.

Comment 3 Ulrich Drepper 2004-09-30 08:39:29 UTC
Ugh, Andrian wasn't cc:ed.  See comment #2.

Comment 4 Eido Inoue 2004-09-30 20:12:21 UTC
comment 2: sure, i'll put them in.

however, we'll need non-english versions as well to go in all the man
pages.

Comment 5 Ulrich Drepper 2004-09-30 21:09:45 UTC
Reassigning to man-pages.

The files are in the glibc sources or, if you prefer, packaged in
~drepper/thread-man-pages.tar.bz2 on devserv.

If you need help with making the changes requested in this bug, please
let me.  Also let Jakub know which man-pages RPM will contain the new
pages so that the glibc RPM stops distributing them.

Comment 12 Red Hat Bugzilla 2007-06-11 18:51:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0408.html



Note You need to log in before you can comment on or make changes to this bug.